Last modified: 2014-01-03 16:04:42 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 16214 - GlobalBlocking needs API modules
GlobalBlocking needs API modules
Status: RESOLVED FIXED
Product: MediaWiki extensions
Classification: Unclassified
GlobalBlocking (Other open bugs)
unspecified
All All
: Normal enhancement (vote)
: MW 1.22 version
Assigned To: Alex Monk
:
Depends on:
Blocks: noncoreapi SWMT
  Show dependency treegraph
 
Reported: 2008-11-01 18:34 UTC by Roan Kattouw
Modified: 2014-01-03 16:04 UTC (History)
10 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Roan Kattouw 2008-11-01 18:34:49 UTC
...mirroring list=blocks
Comment 1 Roan Kattouw 2008-11-01 18:35:33 UTC
(In reply to comment #0)
> ...mirroring list=blocks
> 

On second thought, we probably want both list=globalblocks and action=globalblock
Comment 2 Mike.lifeguard 2009-11-30 21:12:18 UTC
Currently, globalblocking db can be queried via API, but you cannot do actions. Are there plans to extend the API module to placing/modifying/removing global blocks as well?
Comment 3 John Du Hart 2011-08-11 19:08:02 UTC
Reader note, list=globalblocks added in r43040
Comment 4 Betacommand 2012-08-27 00:53:59 UTC
Can we get some progress here on enabling action=globalblock ?
Comment 5 Alex Monk 2013-02-05 00:34:23 UTC
Gerrit change #47539
Comment 6 Gerrit Notification Bot 2013-09-21 02:38:42 UTC
Change 47539 merged by jenkins-bot:
(bug 16214) Create GlobalBlocking API module.

https://gerrit.wikimedia.org/r/47539
Comment 7 James Forrester 2013-09-21 06:11:29 UTC
Now completed. Marking as fixed. Thanks, Roan (for list=globalblocks) and Alex (for action=globalblock)!

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links